Subject: Ackanomic Research Digest V2 #94
From: [email-masked] (Ackanomic Research Digest)
To: acka-research-digest

Ackanomic Research Digest    Sunday, June 22 1997    Volume 02 : Number 094

----------------------------------------------------------------------

Date: Fri, 20 Jun 1997 23:53:42 -0700 (PDT)
From: Brian Raiter <[email-masked]>
Subject: Re: Acka: Proposal 2125

> Again? <sigh> Is there a version of the Crown of Ultimate Failure
> for the player with the most retracted Proposals?  The Wand of
> Wishy-Washiness?

I think it's the T-shirt of Trial and Error, which says on the front
in large black letters: "I'd Rather Retract Than RFC".

> Okay.  Mohammed, if you have some time, which I know you probably
> don't, try to give me an idea of how your sorting scheme will work,
> if you like it better(I just liked mine because it was simpler...),
> and I'll write it up all legalese-like.  Also, I retract P2125, and
> will submit it to the bot if you haven't done so in a couple of
> days.  (I've gotten to the point where I think I'll write a little
> bitty shell script to automate the process.)

The basic sorting scheme should be ASCII sequence, case-blind,
ignoring everything but letters and digits. If we just left it at
that, it would be easy to automate (and describe unambiguously), but
it would produce some unintuitive results.

"Standard" English alphabetization rules would elaborate further on
this. Standalone numbers are sorted numerically (kind of like treating
them as a single character). "Standalone" includes being attached to a
word by hyphens ("a-2-i" precedes "a-10-i"), but not when embedded in
the middle of a "word" ("a10i" precedes "a2i").

The standard used to be numbers after letters, but nowadays seems to
be the other way around. Which is good, since this conforms to ASCII.
(In fact, ASCII may well have prompted this change.) Also obsolete
these days is having "word breaks" be sorted before everything else -
in other words, putting "index card", "index finger", "index of
refraction" before "indexation". Again, I think this is good.

However, the case-blind, alphanumerics-only rule is dropped if the
words would otherwise be treated identically, and in this case,
punctuation and other characters come *after* letters and digits
("cant" precedes "can't"), and lowercase *precedes* uppercase ("lance"
precedes "Lance"). Both of these rules are the opposite of ASCII,
though hopefully " " would render that mostly moot.

And then, of course, is the special treatment of articles, people's
names, etc etc etc.

While following these rules would prevent a lot of unintuitive
orderings, it would be much harder to describe unambiguously, and to
automate. I think we should go for case-blind alphanumerics-only ASCII
sorting. If we also chose to simply ignore articles, it would then
conform to the method that " " uses to determine name equality, which,
IMHO, would be a very good thing.

breadbox

------------------------------

Date: Sat, 21 Jun 1997 19:40:42 -0400
From: Dan Knapp (A.K.A. TheWiz) <[email-masked]>
Subject: Re: Acka:  Proposal 2130 

At 3:52 AM on 6/20/97, Bascule wrote:

> > The title "Nine for Mortal Men Doomed To Die" is really bugging me,
> > though. It sounds vaguely familiar, but not as a TMBG reference.
> > (Unless it's the Morse code in "Pencil Rain".)
>
> Lord of The Rings, surely. Nazgul and all that.

  No, it's:

  Three Things for the Harf-kings under the sky,
    Seven for the Agora-lords, older than stone,
  Nine for Rishon doomed to die,
    One for the InterNomic on its dark throne
  In the land of Nomic where the Shadows lie.
    One Thing to rule them all, One Thing to find them,
    One Thing to bring them all and in the harfness bind them
  In the land of Nomic where the Shadows lie.

  :-)

____________________________________________________________________________
|The Mauve Baron|  Beep  [email-masked] * http://www.bergen.org/~dankna|
|---------------|  Blip  |-------------------------------------------------|
|   Dan Knapp   |  Bonk  |     This notice copyright (C)1997 Dan Knapp     |
- ----------------------------------------------------------------------------

------------------------------

Date: Sat, 21 Jun 1997 19:40:52 -0400
From: Dan Knapp (A.K.A. TheWiz) <[email-masked]>
Subject: Re:Acka:  Proposal 2140 

> Create a new rule, numbered 1249, with the following text:
>
> "
> {{
> This rule has precedence over all rules.
>
> Red Barn is removed from the game of Ye Olde Rusty Lantern that was
> in progress at the time the proposal that created this rule was
> distributed, if that same game is still in progress when this rule
> was created.  His cards are transferred back into the deck.

He does not win.
:-)

> }}
> "

  Won't this create an empty rule?

____________________________________________________________________________
|The Mauve Baron|  Beep  [email-masked] * http://www.bergen.org/~dankna|
|---------------|  Blip  |-------------------------------------------------|
|   Dan Knapp   |  Bonk  |     This notice copyright (C)1997 Dan Knapp     |
- ----------------------------------------------------------------------------

------------------------------

Date: Sat, 21 Jun 1997 19:40:57 -0400
From: Dan Knapp (A.K.A. TheWiz) <[email-masked]>
Subject: Re: Acka: Proposal 2125 

> > But here's a question:  How would you sort "1A2B3", "AB123", and "123AB"
> > relative to each other?  I'd probably go "123AB", "1A2B3", and "AB123".
>     I hadn't thought of it.  Currently the bot sorts this the same
> way you sorted it, and this is probably how I'd do it too.  However, I
> would like "Inky Bloater Decoy #5" to come before "Inky Bloater Decoy
> #23".

  So put shorter strings of digits first.  Or perhaps have a "trinked
order" specifiable by the trinket creators, which deals with the case that
someone creates trinkets with some *strange* numbering system.

>     Actually I would prefer that we ban Trinket "arrays"
> completely and make it a horrible crime.  :o)  It was cute exactly
> twice (when Malenkai did it the first time, with the Coins, and then
> with the Quite Garish Ties.)

  No "implicit" actions?  That is, if you perform that many actions, you
must do each seperately?  Copy & paste... At any rate, I expect banning
arrays would be quite difficult - if you prohibit numbers, someone could
come up with something like I did with the ties, but for the names (thus
providing distinct names without numbers).  Plus, I'm against it.
  Thanks for praising the ties, though.

> > I started working on one, but bogged down.  It might have been too
> > ambitious.  However, I might be able to throw something else together, or
> > just send you what I've got...what's the deadline again?  :-/
>     I don't know.  I resolve to reply to at most 1 of the next 100
> messages I read.

  Only 100?...

> Mohammed
> A American pried open the steel canister with a crowbar.
  The babbler's mucking grammar.

____________________________________________________________________________
|The Mauve Baron|  Beep  [email-masked] * http://www.bergen.org/~dankna|
|---------------|  Blip  |-------------------------------------------------|
|   Dan Knapp   |  Bonk  |     This notice copyright (C)1997 Dan Knapp     |
- ----------------------------------------------------------------------------

------------------------------

Date: Sat, 21 Jun 1997 19:41:55 -0400
From: Dan Knapp (A.K.A. TheWiz) <[email-masked]>
Subject: Re: Acka: Proposal 2125 

> I'm so out of this thread that I do not even know if this proposal was
> retracted, but this is my suggestion, FWIW.  Retract this proposal.
> Agree on *how* you want to do this, and then, most importantly, make
> the necessary amendments to the existing rules that regulate sorting,
> so that it is not cluttered with inconsistency, precedence issues,
> confusion, etc.  It will make for a cleaner ruleset.

  Yes.

> To find the existing rules, search for "ASCII", "order", "alpha", "sort"
> and like stuff.  I do not know the rule numbers OtToMH, but try "Speaker"
> and try "Blueprints", I seem to remember those.

  I still think we should define "ACKSCII:  Another Carbonated Known
Subhumanoid Code for Information Interchange".  But I suppose that would be
a bad idea.

> Malenkai
> who hopes his boss is not a player under a different name

____________________________________________________________________________
|The Mauve Baron|  Beep  [email-masked] * http://www.bergen.org/~dankna|
|---------------|  Blip  |-------------------------------------------------|
|   Dan Knapp   |  Bonk  |     This notice copyright (C)1997 Dan Knapp     |
- ----------------------------------------------------------------------------

------------------------------

Date: Sat, 21 Jun 1997 19:25:54 -0800
From: "Ross Morgan-Linial" <[email-masked]>
Subject: Re: Acka:  Proposal 2130

Dan Knapp (A.K.A. TheWiz) <[email-masked]> wrote:
>   Three Things for the Harf-kings under the sky,

Excuse me... "under the sky"? You mean "over", right?

>     Seven for the Agora-lords, older than stone,

I resemble that remark.

>   Nine for Rishon doomed to die,

Not yet, I don't think...

>     One for the InterNomic on its dark throne

not "the InterNomic", just "Internomic".

>   In the land of Nomic where the Shadows lie.

I have yet to see one of the-... oh.

>     One Thing to rule them all, One Thing to find them,
>     One Thing to bring them all and in the harfness bind them

Bound by harfyness?

>   In the land of Nomic where the Shadows lie.
> 
>   :-)
- -------------------------------
Antimatter * [email-masked]
You have the power of negation.

------------------------------

End of Ackanomic Research Digest V2 #94
***************************************